package com.kingdee.eas.custom.performancenew.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.eas.custom.performancenew.task.*;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class PerformancenewFacade extends AbstractBizCtrl implements IPerformancenewFacade
{
    public PerformancenewFacade()
    {
        super();
        registerInterface(IPerformancenewFacade.class, this);
    }
    public PerformancenewFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IPerformancenewFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("DD18840D");
    }
    private PerformancenewFacadeController getController() throws BOSException
    {
        return (PerformancenewFacadeController)getBizController();
    }
    /**
     *提醒评分人-User defined method
     *@param periodId 考核周期ID
     *@return
     */
    public String warnScorer(String periodId) throws BOSException, EASBizException
    {
        try {
            return getController().warnScorer(getContext(), periodId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}